
QGIS Application - Bug report #15576

QGIS is lagging after a few saves in PostGIS layers

2016-09-17 08:41 PM - Luiz Andrade

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:2.14.5 Regression?: No

Operating System: Kubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23500

Description

In Kubuntu 14.04 after a few editing rounds on PostGIS layers QGIS starts to lag until it becomes unresponsive.

I need to kill the application and start over. All data is saved correctly.

But, when checking my Postgresql log I could get this: "could not receive data from client: Connection reset by peer" 

This means that the QGIS's connection is getting broke in same way.

This happens when working with topology layers and SFS layers.

History

#1 - 2016-09-18 01:21 PM - R. R.

Hi Luiz, have you tried to deinstall all 3rd party plugins?

#2 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-03-07 08:11 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

Closing for lack of feedback. Symptoms like this ones were reported several times, most of them the problem was a 3rd party plugin.
